Name:		openmw
Version:	0.41.0
Release:	%mkrel 5
Summary:	Unofficial open source engine re-implementation of the game Morrowind
Group:		Games/Other
License:	GPLv3
URL:		https://openmw.org/
Source0:	https://github.com/OpenMW/openmw/archive/%{name}-%{version}.tar.gz
#Patch1:		openmw-0.37.0-MyGUI-lib-dir.patch
# Originally from Debian:
Patch2:		openmw-0.29.0-use_system_fonts.patch

BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	openscenegraph-devel
BuildRequires:	openthreads-devel
BuildRequires:	pkgconfig(bullet)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libunshield)
BuildRequires:	pkgconfig(MYGUI)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(xt)
Requires:	fonts-ttf-dejavu

%description
OpenMW is an attempt to reimplement the popular role playing game Morrowind.
It aims to be a fully playable, open source implementation of the game.

You must own Morrowind to use OpenMW. OpenMW is a reimplementation of the
technical aspects of the game only. It does not come with any “content”
– namely the art, game data, and other copyrighted material that you need to
play the game as designed by Bethesda Softworks.

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build
%cmake_qt5 \
	-DDESIRED_QT_VERSION=5 \
	-DBUILD_MYGUI_PLUGIN=OFF
%make_build

%install
%make_install -C build

#handle in files section
rm -rf %{buildroot}%{_datadir}/licenses/

%files
%doc AUTHORS.md CHANGELOG.md README.md
%license docs/license/GPL3.txt
%config(noreplace) %{_sysconfdir}/%{name}/
%{_bindir}/%{name}
%{_bindir}/%{name}-cs
%{_bindir}/%{name}-iniimporter
%{_bindir}/%{name}-essimporter
%{_bindir}/%{name}-launcher
%{_bindir}/%{name}-wizard
%{_bindir}/bsatool
%{_bindir}/esmtool
%dir %{_gamesdatadir}/%{name}
%dir %{_gamesdatadir}/%{name}/data
%{_gamesdatadir}/%{name}/resources/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-cs.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}-cs.png
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Tue May 02 2017 akien <akien> 0.41.0-5.mga6
+ Revision: 1098370
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 0.41.0-4.mga6
+ Revision: 1090230
- Rebuild for ffmpeg 3.2.4

* Sun Feb 26 2017 akien <akien> 0.41.0-3.mga6
+ Revision: 1087975
- Rebuild for bullet 2.86.1

* Wed Jan 11 2017 luigiwalser <luigiwalser> 0.41.0-2.mga6
+ Revision: 1081048
- rebuild for unshield

* Fri Dec 23 2016 akien <akien> 0.41.0-1.mga6
+ Revision: 1076573
- Version 0.41.0

* Thu Oct 27 2016 akien <akien> 0.40.0-1.mga6
+ Revision: 1063705
- Version 0.40.0
- Version 0.39.0

* Fri Apr 22 2016 daviddavid <daviddavid> 0.38.0-2.mga6
+ Revision: 1004522
- add missing BRs on boost-devel and pkgconfig(xt) thus fixing build

* Sun Jan 24 2016 wally <wally> 0.38.0-1.mga6
+ Revision: 926911
- new version 0.38.0

* Wed Jan 06 2016 wally <wally> 0.37.0-1.mga6
+ Revision: 920122
- build with Qt5
- new version 0.37.0
- switch to OpenSceneGraph
- rediff MyGUI libdir patch

* Sun Dec 27 2015 daviddavid <daviddavid> 0.36.1-4.mga6
+ Revision: 915541
- rebuild for new boost 1.60.0

* Sun Sep 27 2015 tv <tv> 0.36.1-3.mga6
+ Revision: 884213
- rebuild for new boost

* Fri Aug 28 2015 cjw <cjw> 0.36.1-2.mga6
+ Revision: 870466
- rebuild with gcc 5

* Sun Aug 02 2015 wally <wally> 0.36.1-1.mga6
+ Revision: 860651
- new version 0.36.1
- rediff MyGUI lib dir patch

* Fri Feb 20 2015 akien <akien> 0.35.0-1.mga5
+ Revision: 816019
- Version 0.35.0

* Fri Nov 14 2014 akien <akien> 0.31.0-4.mga5
+ Revision: 797029
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.31.0-3.mga5
+ Revision: 740724
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.31.0-2.mga5
+ Revision: 683226
- Mageia 5 Mass Rebuild

* Wed Jul 16 2014 wally <wally> 0.31.0-1.mga5
+ Revision: 653305
- new version 0.31.0
- rediff MyGUI lib dir patch

* Thu May 29 2014 wally <wally> 0.30.0-1.mga5
+ Revision: 627746
- new version 0.30.0

* Mon Mar 31 2014 akien <akien> 0.29.0-2.mga5
+ Revision: 610932
- Rebuild for new MyGUI and OGRE

* Wed Mar 05 2014 wally <wally> 0.29.0-1.mga5
+ Revision: 600000
- new version 0.29.0
- rediff system fonts patch

  + fwang <fwang>
    - do not promote verbose build by default

* Wed Feb 12 2014 fwang <fwang> 0.28.0-2.mga5
+ Revision: 589627
- rebuild

* Wed Feb 05 2014 wally <wally> 0.28.0-1.mga5
+ Revision: 583588
- new version 0.28.0
- add patch from Debian to use system fonts
- require used fonts

* Sat Oct 19 2013 umeabot <umeabot> 0.26.0-2.mga4
+ Revision: 534496
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 wally <wally> 0.26.0-1.mga4
+ Revision: 478143
- new version 0.26.0
- new version 0.25.0
- BR sdl2
- drop unneeded ffmpeg patch
- rediff MyGUI lib location patch

* Thu Aug 08 2013 wally <wally> 0.24.0-2.mga4
+ Revision: 464526
- add some docs

* Wed Aug 07 2013 wally <wally> 0.24.0-1.mga4
+ Revision: 464506
- import openmw (based on .spec from Alexandre Moine, Fedora)

